be.ehealth.technicalconnector.handler

## Class UserAgentHandler

- java.lang.Object
- - be.ehealth.technicalconnector.handler.AbstractSOAPHandler
  - - be.ehealth.technicalconnector.handler.AbstractMimeHeaderManipulator
    - - be.ehealth.technicalconnector.handler.UserAgentHandler

- All Implemented Interfaces:
    Handler<SOAPMessageContext>, SOAPHandler<SOAPMessageContext>

      public class UserAgentHandler
      extends AbstractMimeHeaderManipulator

  `SOAPHandler` for setting the correct User-Agent in the `MimeHeaders`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserAgentHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `handleFault(SOAPMessageContext context)`
    `boolean` | `handleOutbound(SOAPMessageContext context)` Method that is called in the outbound flow.

    - ### Methods inherited from class be.ehealth.technicalconnector.handler.AbstractSOAPHandler

      `close, dumpMessage, getHeaders, handleInbound, handleMessage`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserAgentHandler

          public UserAgentHandler()

  - ### Method Detail

    - #### handleOutbound

          public boolean handleOutbound(SOAPMessageContext context)

      Description copied from class: `AbstractSOAPHandler`
      Method that is called in the outbound flow.
      Overrides:
        `handleOutbound` in class `AbstractSOAPHandler`

    - #### handleFault

          public boolean handleFault(SOAPMessageContext context)

      Specified by:
        `handleFault` in interface `Handler<SOAPMessageContext>`
      Overrides:
        `handleFault` in class `AbstractSOAPHandler`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.